"use strict";

const stream = require("./stream");

module.exports = function (state) {
	const isCss = require("./is-css")(state);

	return function cssOnlyStream(handler, flushHandler) {
		return stream((item) => {
			if (isCss(item)) {
				return handler(item);
			} else {
				return [ item ];
			}
		}, flushHandler);
	};
};
